statistics-0.13.2.3: A library of statistical types, data, and functions

Copyright | (c) 2009 Bryan O'Sullivan
License | BSD3
Maintainer | bos@serpentine.com
Stability | experimental
Portability | portable
Safe Haskell | None
Language | Haskell98

Statistics.Distribution.Geometric

Contents

- Constructors
  - Accessors

Description

The Geometric distribution. There are two variants of distribution. First is the probability distribution of the number of Bernoulli trials needed to get one success, supported on the set 1,2... Sometimes it's referred to as the shifted geometric distribution to distinguish from another one.

Second variant is probability distribution of the number of failures before first success, defined over the set 0,1...

Synopsis

- data GeometricDistribution
- data GeometricDistribution0
- geometric :: Double -> GeometricDistribution
- geometric0 :: Double -> GeometricDistribution0
- gdSuccess :: GeometricDistribution -> Double
- gdSuccess0 :: GeometricDistribution0 -> Double

# Documentation

data GeometricDistribution Source

Instances

Eq GeometricDistribution Source |
Data GeometricDistribution Source |
Read GeometricDistribution Source |
Show GeometricDistribution Source |
Generic GeometricDistribution Source |
ToJSON GeometricDistribution Source |
FromJSON GeometricDistribution Source |
Binary GeometricDistribution Source |
DiscreteGen GeometricDistribution Source |
ContGen GeometricDistribution Source |
Entropy GeometricDistribution Source |
MaybeEntropy GeometricDistribution Source |
Variance GeometricDistribution Source |
MaybeVariance GeometricDistribution Source |
Mean GeometricDistribution Source |
MaybeMean GeometricDistribution Source |
DiscreteDistr GeometricDistribution Source |
Distribution GeometricDistribution Source |
type Rep GeometricDistribution Source |

data GeometricDistribution0 Source

Instances

Eq GeometricDistribution0 Source |
Data GeometricDistribution0 Source |
Read GeometricDistribution0 Source |
Show GeometricDistribution0 Source |
Generic GeometricDistribution0 Source |
ToJSON GeometricDistribution0 Source |
FromJSON GeometricDistribution0 Source |
Binary GeometricDistribution0 Source |
DiscreteGen GeometricDistribution0 Source |
ContGen GeometricDistribution0 Source |
Entropy GeometricDistribution0 Source |
MaybeEntropy GeometricDistribution0 Source |
Variance GeometricDistribution0 Source |
MaybeVariance GeometricDistribution0 Source |
Mean GeometricDistribution0 Source |
MaybeMean GeometricDistribution0 Source |
DiscreteDistr GeometricDistribution0 Source |
Distribution GeometricDistribution0 Source |
type Rep GeometricDistribution0 Source |

# Constructors

geometric Source

Arguments

:: Double | Success rate
-> GeometricDistribution |

Create geometric distribution.

geometric0 Source

Arguments

:: Double | Success rate
-> GeometricDistribution0 |

Create geometric distribution.

## Accessors

gdSuccess :: GeometricDistribution -> Double Source

gdSuccess0 :: GeometricDistribution0 -> Double Source